1. Webhooks
CryptopocketAPI
  • Common
    • Authentication
      POST
    • User Registration
      POST
    • Check KYC Verification
      GET
    • Token Price
      GET
  • OnRamp
    • Get payment methods
      GET
    • Get Quote
      GET
    • Create Payment Intend (RampOn)
      POST
    • Get Payment
      GET
    • List of Payments
      GET
  • OffRamp
    • Get quote
      GET
    • Create rampoff opetation
      POST
    • Get rampoff status
      GET
    • Get List
      GET
  • Webhooks
    • Webhook Event Update
      POST
    • Webhook Event Subscribe
      POST
  1. Webhooks

Webhook Event Subscribe

POST
/api/subscribeToWebhook
This endpoint allows users to subscribe to CryptoPocket's webhook to receive notifications related to cryptocurrency transactions. Through this webhook, CryptoPocket will notify specific events related to token shipments and payments.
Parameters:
PARAMDESCRIPTION
urlThe URL to which CryptoPocket will send webhook notifications (POST request).
typeThe type of event for which the user wishes to receive notifications.
Allowed values:

COINS_SENT: To receive notifications when tokens have been successfully sent.
PAY_IN: To receive notifications when a payment has been successfully received.
CRYPTO_RECEIVED: To receive notifications when crypto has been received during a ramp-off process.
RAMPOFF_FINISHED: To receive notifications when the bank transfer has been sent during a ramp-off process.
RESPONSE EXAMPLE:
{
  "status": "ok",
  "data": "subscription_created"
}

Solicitud

Parámetros de Header

Parámetros del Body application/x-www-form-urlencoded

Respuestas

🟢200
application/json
Body

Solicitud Ejemplo de Solicitud
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/subscribeToWebhook' \
--header 'auth: b87bsdf8hdsj9fh9sd78fubsdoiufbj' \
--data-urlencode 'type=COINS_SENT' \
--data-urlencode 'url=https://demo.com'
Respuesta Ejemplo de Respuesta
{}
Modificado en 2026-04-08 18:28:47
Anterior
Webhook Event Update
Built with